package es.us.ccia.dummy.dibujo.ventanas;

/**
 * Version 0.9: 
 * 
 *    20080715
 *    - Implementacion inicial
 *           
 *==================================================
 * TODO: 
 *       
 */

import java.awt.Color;
import java.awt.Graphics;
import java.util.Iterator;

import javax.swing.JPanel;

import es.us.ccia.dummy.teoria.regiones.Elemento;
import es.us.ccia.dummy.teoria.regiones.ListaElementos;

//import es.us.ccia.dummy.teoria.regiones.Elemento;
//import es.us.ccia.dummy.teoria.regiones.I_Elemento;

/***
 * 
 * @author Gonzalo A. Aranda Corral
 * @version 0.9.0
 * @since   12/07/2008
 *
 */
@SuppressWarnings({})
public class AreaDibujo extends JPanel //implements I_Elemento
{
	private static final long serialVersionUID = 1L;
	ListaElementos ListaE = null;

	
	
	
	public AreaDibujo() {
		setBackground(Color.WHITE);
	}

	
	/****************************
	 * METODOS DE PINTAR
	 ****************************/
	@SuppressWarnings("unchecked")
	@Override
	public void paint(Graphics g)
    {
        super.paint(g);
        g.clearRect(0, 0, this.getWidth(), this.getHeight());
               
        if (ListaE != null) {
	        Iterator i = ListaE.iterator();
	        while (i.hasNext()) {
	        	Elemento ele = (Elemento)i.next();
//	        	System.out.println(ele.toString());
	        	
	        	ele.pintar(g);
			}
        }
    }
	
	public void actualizar(ListaElementos _lista) {
		ListaE = _lista;
		repaint();

	}

}
