package es.us.ccia.dummy.dibujo.ventanas;
/**
 * Version 0.9: 
 * 
 *    20080715
 *    - Implementacion inicial
 *           
 *==================================================
 * TODO: 
 *       
 */

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.util.Iterator;
import java.util.Stack;

import javax.swing.JComponent;
import javax.swing.JScrollPane;

import es.us.ccia.dummy.dibujo.GUI;
import es.us.ccia.dummy.dibujo.eventos.Movimientos;
import es.us.ccia.dummy.dibujo.ventanas.AreaDibujo;
import es.us.ccia.dummy.teoria.regiones.Elemento;
import es.us.ccia.dummy.teoria.regiones.ListaElementos;
import es.us.ccia.dummy.teoria.regiones.Punto;
import es.us.ccia.dummy.teoria.regiones.Region;
import es.us.tad.Salida;

/***
 * 
 * @author Gonzalo A. Aranda Corral
 * @version 0.9.0
 * @since   12/07/2008
 *
 */

@SuppressWarnings({"serial","unchecked"})
public class VentanaDibujo extends JComponent {
	
	public static final int TAMANOX = 700;
	public static final int TAMANOY = 600;

    VentanaRelaciones vrelaciones;
	VentanaHistorial vhist;
        
	JScrollPane panelCls;
	AreaDibujo midibujo;
	Movimientos raton;
	ListaElementos ListaE = null;	
   
	public VentanaDibujo(GUI g) {
		super();
//		vrelaciones  = g.getVentanaRelaciones();
//		vhist = g.getVentanaHistorial();
		
		Dimension dim = new Dimension(TAMANOX+100,TAMANOY+100);
		
		
        midibujo = new AreaDibujo();
        midibujo.setMinimumSize(dim);
        midibujo.setPreferredSize(dim);
        midibujo.setSize(dim);
         
        raton = new Movimientos(g,ListaE);
        midibujo.addMouseListener(raton);
        midibujo.addMouseMotionListener(raton);

//        labelClases = new LabeledComponent("DRAWING AREA", midibujo);		
//        labelClases.addHeaderButton(new CrearClaseB(this));
//        labelClases.addHeaderButton(new CrearIndivB(this));
        
        
        setLayout(new BorderLayout());
//      add(labelClases,BorderLayout.CENTER);
        add(midibujo,BorderLayout.CENTER);
	}
	
	public AreaDibujo getDibujo() {
		return this.midibujo;
	}
	
	
	public boolean estaModificada() {
		return raton.estaModificado();
	}

	public void setModificado(boolean m) {
		raton.setModificado(m);
	}

	@SuppressWarnings("unchecked")
	public void actualizar(ListaElementos _lista) {
		
		// Aqui hay que duplicar la lista _lista
		
		ListaElementos ll = _lista.clone();
		
//		Iterator i = _lista.iterator();
//		while(i.hasNext()) {
//			Elemento e = (Elemento)i.next();
//			Elemento nuevo = null;
//			if (e.getTipo() == Elemento.PUNTO) {
//				nuevo = new Punto(e.getArgumento(),e.getX1(),e.getY1());
//				
//			} else if (e.getTipo() == Elemento.REGION) {
//				Region r = (Region)e;
//				nuevo = new Region(r.getArgumento(),r.getX1(),r.getY1(),
//						r.getX2(),r.getY2());
//			} else {
//				System.out.println("Error en la lista ");
//				nuevo = null;
//			}
//			ll.add(nuevo);
//		}
		
		ListaE = ll;
		this.midibujo.actualizar(ll);
		raton.actualizar(ll);

	}

	public ListaElementos getListaElementos() {
		return ListaE;
	}

	
	
	public void deshacer() {

		Salida.Imprimirln("en ventana dibujo se implementa el undo ??");
		raton.deshacer();
		
//		ListaE = (ListaElementos)PilaE.pop();
//		
//		this.midibujo.actualizar(ListaE);
//		raton.actualizar(ListaE);

	}
	
	
	
	
	
	
	
	
}
